For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The GeneralLedgerTransaction object
          • GET/general-ledger-transactions
          • GET/general-ledger-transactions/{id}
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsGeneral Ledger Transactions

/general-ledger-transactions

Beta
GET
/accounting/v1/general-ledger-transactions
GET
/api/accounting/v1/general-ledger-transactions
$curl -G https://api.merge.dev/api/accounting/v1/general-ledger-transactions \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -d company_id=company_id \
> -d cursor=cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw \
> --data-urlencode expand=tracking_categories,general_ledger_transaction_lines,company,accounting_period
200Retrieved
1{
2 "next": "cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw",
3 "previous": "cj1sZXdwd2VycWVtY29zZnNkc2NzUWxNMEUxTXk0ME16UXpNallsTWtJ",
4 "results": [
5 {
6 "id": "b26fd49a-cbae-470a-a8f8-bcbc119e0390",
7 "remote_id": "987300",
8 "created_at": "2021-09-15T00:00:00Z",
9 "modified_at": "2021-10-16T00:00:00Z",
10 "underlying_transaction_remote_id": "1234",
11 "underlying_transaction_type": "INVOICE",
12 "accounting_period": "d6e687d6-0c36-48a1-8114-35324b5cb38f",
13 "company": "595c8f97-2ac4-45b7-b000-41bdf43240b5",
14 "remote_updated_at": "2020-03-31T00:00:00Z",
15 "remote_created_at": "2020-03-31T00:00:00Z",
16 "tracking_categories": [
17 "b38c59b0-a9d7-4740-b1ee-5436c6751e3d",
18 "9b840d2-686a-465a-8a8e-7b028498f8e4",
19 "a47e11b6-c73b-4a0c-be31-130fc48177fa"
20 ],
21 "posting_date": "2020-03-31T00:00:00Z",
22 "general_ledger_transaction_lines": [
23 {
24 "debit_amount": "0",
25 "credit_amount": "string",
26 "foreign_debit_amount": "0",
27 "foreign_credit_amount": "123.5",
28 "remote_id": "123",
29 "account": "a47e11b6-c73b-4a0c-be31-130fc48177fa",
30 "company": "595c8f97-2ac4-45b7-b000-41bdf43240b5",
31 "contact": "d6e687d6-0c36-48a1-8114-35324b5cb38f",
32 "base_currency": "USD",
33 "transaction_currency": "USD",
34 "exchange_rate": "1",
35 "description": "Invoice created",
36 "tracking_categories": [
37 {},
38 {},
39 {}
40 ],
41 "item": "a47e11b6-c73b-4a0c-be31-130fc48177fa",
42 "remote_was_deleted": false,
43 "crebit_amount": 123.5,
44 "remote_data": [
45 {
46 "path": "/actions",
47 "data": [
48 "Varies by platform"
49 ]
50 }
51 ]
52 }
53 ],
54 "remote_was_deleted": true,
55 "field_mappings": {
56 "organization_defined_targets": {
57 "custom_key": "custom_value"
58 },
59 "linked_account_defined_targets": {
60 "custom_key": "custom_value"
61 }
62 },
63 "remote_data": [
64 {
65 "path": "/platform-endpoint",
66 "data": null
67 }
68 ]
69 }
70 ]
71}

Returns a list of GeneralLedgerTransaction objects.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

The GeneralLedgerTransaction object

Next

/general-ledger-transactions/{id}

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

company_idstringOptional
If provided, will only return general ledger transactions for this company.
created_afterdatetimeOptional
If provided, will only return objects created after this datetime.
created_beforedatetimeOptional
If provided, will only return objects created before this datetime.
cursorstringOptional
The pagination cursor value.
expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
include_deleted_databooleanOptional
Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. [Learn more](https://docs.merge.dev/integrations/hris/supported-features/).
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

modified_afterdatetimeOptional
If provided, only objects synced by Merge after this date time will be returned.
modified_beforedatetimeOptional
If provided, only objects synced by Merge before this date time will be returned.
page_sizeintegerOptional
Number of results to return per page. The maximum limit is 100.
posted_date_afterdatetimeOptional
If provided, will only return objects posted after this datetime.
posted_date_beforedatetimeOptional
If provided, will only return objects posted before this datetime.
remote_idstringOptional
The API provider's ID for the given object.

Response

nextstring or null
previousstring or null
resultslist of objects

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.